### Function

# Mtk Rectangle new

#### Declaration [src]

    MtkRectangle*
    mtk_rectangle_new (
      int x,
      int y,
      int width,
      int height
    )

#### Description [src]

Creates a new rectangle.

#### Parameters

`x`

  Type: `int`

  X coordinate of the top left corner.

`y`

  Type: `int`

  Y coordinate of the top left corner.

`width`

  Type: `int`

  Width of the rectangle.

`height`

  Type: `int`

  Height of the rectangle.

#### Return value

Type: `MtkRectangle`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.